Debian Bug report logs - #475850
ITP: libsfml -- simple and fast cross-platform multimedia library

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Christoph Egger <christoph.egger@gmx.de>

Date: Sun, 13 Apr 2008 11:54:02 UTC

Owned by: Christoph Egger <christoph.egger@gmx.de>

Severity: wishlist

Merged with 481664

Fixed in version libsfml/1.2-1

Done: Christoph Egger <Christoph.Egger@gmx.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, <wnpp@debian.org>:
Bug#475850; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Christoph Egger <christoph.egger@gmx.de>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph.egger@gmx.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: libsfml -- simple and fast cross-platform multimedia library
Date: Sun, 13 Apr 2008 13:45:29 +0200
Package: wnpp
Severity: wishlist
Owner: Christoph Egger <christoph.egger@gmx.de>


* Package name    : libsfml
  Version         : 1.2
  Upstream Author : Laurent Gomila (laurent@sfml-dev.org)
* URL             : http://www.sfml-dev.org/
* License         : MIT/X
  Programming Lang: C++
  Description     : simple and fast cross-platform multimedia library

SFML is an modern multimedia library offering a wide range of subsystems
usefull to produce an multimedia app. It offers OpenGL integration for
Hardware accelerated Graphics, Windowing and Input support, Audio and
Network facilities and supports GNU/Linux MS Windows and Mac OS X.

Although SFML offers integration not only for C++ but also for C Ruby
and Python I intent to first concentrate on C++.

-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.24-1-686 (SMP w/2 CPU cores)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Christoph Egger <christoph.egger@gmx.de>:
Bug#475850; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Miriam Ruiz" <little.miry@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Christoph Egger <christoph.egger@gmx.de>. Full text and rfc822 format available.

Message #10 received at 475850@bugs.debian.org (full text, mbox):

From: "Miriam Ruiz" <little.miry@gmail.com>
To: "Christoph Egger" <christoph.egger@gmx.de>, 475850@bugs.debian.org
Subject: Re: Bug#475850: ITP: libsfml -- simple and fast cross-platform multimedia library
Date: Mon, 14 Apr 2008 13:48:16 +0200
2008/4/13, Christoph Egger <christoph.egger@gmx.de>:

>  Although SFML offers integration not only for C++ but also for C Ruby
>  and Python I intent to first concentrate on C++.

Will you also package the bindings for C?

Miry




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Christoph Egger <christoph.egger@gmx.de>:
Bug#475850; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Christoph Egger <Christoph.Egger@gmx.de>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Christoph Egger <christoph.egger@gmx.de>. Full text and rfc822 format available.

Message #15 received at 475850@bugs.debian.org (full text, mbox):

From: Christoph Egger <Christoph.Egger@gmx.de>
To: Miriam Ruiz <little.miry@gmail.com>, 475850@bugs.debian.org
Subject: Re: Bug#475850: ITP: libsfml -- simple and fast cross-platform multimedia library
Date: Mon, 14 Apr 2008 17:55:05 +0200
[Message part 1 (text/plain, inline)]
Miriam Ruiz wrote:
> 2008/4/13, Christoph Egger <christoph.egger@gmx.de>:
> 
>>  Although SFML offers integration not only for C++ but also for C Ruby
>>  and Python I intent to first concentrate on C++.
> 
> Will you also package the bindings for C?
> 
> Miry
> 

As soon as I have the library working it should be more easy to do the
other Languages and if I have the time to look for more than C++ I'll
work in C and Python as I am familar with these languages, too

  Christoph


[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Christoph Egger <christoph.egger@gmx.de>:
Bug#475850; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Christoph Egger <Christoph.Egger@gmx.de>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Christoph Egger <christoph.egger@gmx.de>. Full text and rfc822 format available.

Message #20 received at 475850@bugs.debian.org (full text, mbox):

From: Christoph Egger <Christoph.Egger@gmx.de>
To: 475850@bugs.debian.org
Subject: (kein Betreff)
Date: Sat, 17 May 2008 21:36:49 +0200
[Message part 1 (text/plain, inline)]
Those 4 libraries are really too independent to package them as one. I'll do
the C++, C and Python one (possibly comaintaining with debian-games) as I am
familiar with these languages (and like them) and leave Ruby open as I have
no knowledge of this language.

-- 
GPG-Key ID: 0x0372275D

/"\  ASCII Ribbon
\ /    Campaign
 X   against HTML
/ \   in eMails

[signature.asc (application/pgp-signature, attachment)]

Bug 475850 cloned as bugs 481664, 481665, 481666, 481667. Request was from Christoph Egger <Christoph.Egger@gmx.de> to control@bugs.debian.org. (Sat, 17 May 2008 19:42:01 GMT) Full text and rfc822 format available.

Merged 475850 481664. Request was from Christoph Egger <Christoph.Egger@gmx.de> to control@bugs.debian.org. (Sat, 17 May 2008 19:54:03 GMT) Full text and rfc822 format available.

Tags added: pending Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Mon, 02 Jun 2008 20:06:03 GMT) Full text and rfc822 format available.

Reply sent to Christoph Egger <Christoph.Egger@gmx.de>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Christoph Egger <christoph.egger@gmx.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #31 received at 475850-close@bugs.debian.org (full text, mbox):

From: Christoph Egger <Christoph.Egger@gmx.de>
To: 475850-close@bugs.debian.org
Subject: Bug#475850: fixed in libsfml 1.2-1
Date: Sat, 14 Jun 2008 18:49:05 +0000
Source: libsfml
Source-Version: 1.2-1

We believe that the bug you reported is fixed in the latest version of
libsfml, which is due to be installed in the Debian FTP archive:

libsfml-audio1_1.2-1_amd64.deb
  to pool/main/libs/libsfml/libsfml-audio1_1.2-1_amd64.deb
libsfml-graphics1_1.2-1_amd64.deb
  to pool/main/libs/libsfml/libsfml-graphics1_1.2-1_amd64.deb
libsfml-network1_1.2-1_amd64.deb
  to pool/main/libs/libsfml/libsfml-network1_1.2-1_amd64.deb
libsfml-system1_1.2-1_amd64.deb
  to pool/main/libs/libsfml/libsfml-system1_1.2-1_amd64.deb
libsfml-window1_1.2-1_amd64.deb
  to pool/main/libs/libsfml/libsfml-window1_1.2-1_amd64.deb
libsfml1-dev_1.2-1_amd64.deb
  to pool/main/libs/libsfml/libsfml1-dev_1.2-1_amd64.deb
libsfml_1.2-1.diff.gz
  to pool/main/libs/libsfml/libsfml_1.2-1.diff.gz
libsfml_1.2-1.dsc
  to pool/main/libs/libsfml/libsfml_1.2-1.dsc
libsfml_1.2.orig.tar.gz
  to pool/main/libs/libsfml/libsfml_1.2.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 475850@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Christoph Egger <Christoph.Egger@gmx.de> (supplier of updated libsfml package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 13 May 2008 16:57:31 +0200
Source: libsfml
Binary: libsfml1-dev libsfml-audio1 libsfml-graphics1 libsfml-network1 libsfml-system1 libsfml-window1
Architecture: source amd64
Version: 1.2-1
Distribution: unstable
Urgency: low
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Changed-By: Christoph Egger <Christoph.Egger@gmx.de>
Description: 
 libsfml-audio1 - Simple and fast cross-platform multimedia library - Audio part
 libsfml-graphics1 - Simple and fast cross-platform multimedia library - Graphics part
 libsfml-network1 - Simple and fast cross-platform multimedia library - Network part
 libsfml-system1 - Simple and fast cross-platform multimedia library - System part
 libsfml-window1 - Simple and fast cross-platform multimedia library - Window part
 libsfml1-dev - Simple and fast cross-platform multimedia library - Development F
Closes: 475850
Changes: 
 libsfml (1.2-1) unstable; urgency=low
 .
   * Initial release (Closes: #475850)
Checksums-Sha1: 
 0cf2a199915b421c63ffdc20286330b3a27afea8 1380 libsfml_1.2-1.dsc
 42790892d3993c02ffc724cd3049bbb8b1ef4256 9989813 libsfml_1.2.orig.tar.gz
 8e0e012d4150e5ceb0a5634b2e844eec25e34dbc 4992 libsfml_1.2-1.diff.gz
 ffdbf65e2b468f5e36d6ba1d15b19fff56f8ab29 9310642 libsfml1-dev_1.2-1_amd64.deb
 091f5ab8e2cf99a954ba1e4e6523a318949347ed 50066 libsfml-audio1_1.2-1_amd64.deb
 e22ce31ce7ced7acc1e227b7a8ac06daf0395e7f 105316 libsfml-graphics1_1.2-1_amd64.deb
 7ce12deed44e72d9ecf780102c9386ab49891672 14694 libsfml-network1_1.2-1_amd64.deb
 a5e53fb73281abd8978b66d084d489fd82666463 6780 libsfml-system1_1.2-1_amd64.deb
 18388d440a2ee412fe60f7679a604ca3da3669dc 29804 libsfml-window1_1.2-1_amd64.deb
Checksums-Sha256: 
 2abb2a7085b63bc84e451650852b27f64edec9b682b3d9e28e531ad54fe1b479 1380 libsfml_1.2-1.dsc
 9810a1405a6fdb4921dfe790dc5f6ba3a8fb77125c8a07df708474964ffa53e6 9989813 libsfml_1.2.orig.tar.gz
 b5c38227ede2ae2a8bd64a19bae704e7452f41a77e86677011f8989d11c03df1 4992 libsfml_1.2-1.diff.gz
 9cb6ce46c04e11146568b9619787c1725e2955af7aaf2a75b755d7e2a7e1ae60 9310642 libsfml1-dev_1.2-1_amd64.deb
 c1df674097ca75aa028f561cba56f2a78baa2a884d96eb6e78ca12b5cbccea52 50066 libsfml-audio1_1.2-1_amd64.deb
 d0fd4f5f2c13c00ba7f8086ac8237b5c06f3f679d3e7b546ca65e67ff49f9c5d 105316 libsfml-graphics1_1.2-1_amd64.deb
 5519f763fda9598bdb0ab2ff8aca140647f1838c4dfc652de92d5aca1c2d6c64 14694 libsfml-network1_1.2-1_amd64.deb
 8f4ada92ac2c55685bd6403ddcdfeae0ac99f9a1ccd1b9519e159895fa3f4989 6780 libsfml-system1_1.2-1_amd64.deb
 447383700ff77346e53e6c0397d84eebc97c5005932e9fc6ceb6ae140e9d2281 29804 libsfml-window1_1.2-1_amd64.deb
Files: 
 b3aeccce44c44f26c1176cf3d58c3456 1380 devel extra libsfml_1.2-1.dsc
 6ccbfe9878ad7dbdef6effca7bfbf8c1 9989813 devel extra libsfml_1.2.orig.tar.gz
 4f1a8407b3315800c650b7150908af73 4992 devel extra libsfml_1.2-1.diff.gz
 15569cf84711f16caee41956bdd8d879 9310642 libdevel extra libsfml1-dev_1.2-1_amd64.deb
 ae18bb87ad3ed97fd8abf14ce312d1b4 50066 libs extra libsfml-audio1_1.2-1_amd64.deb
 c43c4221457465ee9293815f16b8bb78 105316 libs extra libsfml-graphics1_1.2-1_amd64.deb
 5ee7ee03bb2ea3175a4f97f4b549fc01 14694 libs extra libsfml-network1_1.2-1_amd64.deb
 ce040afa2a3f96c7ddee759ca3821662 6780 libs extra libsfml-system1_1.2-1_amd64.deb
 ce9a4230ab399602703bbc782f2e05fa 29804 libs extra libsfml-window1_1.2-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFIRBtEfbltLjbuCGERAjOsAKDGOvoYz44Tp6kXI7/0zTqeMov7rQCdGWvs
NC5hZHvarrL+dPwHu47poY8=
=Z6U+
-----END PGP SIGNATURE-----





Reply sent to Christoph Egger <Christoph.Egger@gmx.de>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Christoph Egger <christoph.egger@gmx.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 11 Aug 2008 07:56:22 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 11:15:05 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.